Loading...
Searching...
No Matches
csr_seq.cc

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_instanciate_class(T)
#define | _RHEOLEF_instanciate(T)

## Functions

template<class T>
csr_rep< T, sequential >::size_type | csr_csr_mult_size (const csr_rep< T, sequential > &a, const csr_rep< T, sequential > &b)

## Macro Definition Documentation

## _RHEOLEF_instanciate_class

#define _RHEOLEF_instanciate_class | ( |  | T | ) |

Value:
template void csr_rep<T,sequential>::build_from_asr (const asr<T,sequential,std::allocator<T> >&);
T
Expr1::float_type T
Definition field_expr.h:230

Definition at line 483 of file csr_seq.cc.

## _RHEOLEF_instanciate

#define _RHEOLEF_instanciate | ( |  | T | ) |

Value:
template class csr_rep<T,sequential>; \
template void csr_rep<T,sequential>::assign_add ( \
const csr_rep<T,sequential>&, \
const csr_rep<T,sequential>&, \
std::plus<T>); \
template void csr_rep<T,sequential>::assign_add ( \
const csr_rep<T,sequential>&, \
const csr_rep<T,sequential>&, \
std::minus<T>); \
_RHEOLEF_instanciate_class(T)

Definition at line 491 of file csr_seq.cc.